Blame SOURCES/0042-tests-Set-optimal-blocks-to-64-for-scsi_debug-device.patch

9cc286
From f648310fbc24186395e1864a48571982e1588435 Mon Sep 17 00:00:00 2001
9cc286
From: "Brian C. Lane" <bcl@redhat.com>
9cc286
Date: Tue, 23 Aug 2016 08:55:18 -0700
9cc286
Subject: [PATCH] tests: Set optimal blocks to 64 for scsi_debug devices
9cc286
 (#1359682)
9cc286
9cc286
The Linux kernel 4.5 changed the optimal blocks count from 64 to 1024
9cc286
This causes tests using scsi_debug devices to fail because of alignment
9cc286
issues. Set the opt_blks to 64 so that we have consistent behavior
9cc286
across kernels.
9cc286
9cc286
Resolves: rhbz#1359682
9cc286
---
9cc286
 tests/t-local.sh | 2 +-
9cc286
 1 file changed, 1 insertion(+), 1 deletion(-)
9cc286
9cc286
diff --git a/tests/t-local.sh b/tests/t-local.sh
9cc286
index 5305865..93ee0f7 100644
9cc286
--- a/tests/t-local.sh
9cc286
+++ b/tests/t-local.sh
9cc286
@@ -98,7 +98,7 @@ scsi_debug_setup_()
9cc286
   # It is not trivial to determine the name of the device we're creating.
9cc286
   # Record the names of all /sys/block/sd* devices *before* probing:
9cc286
   touch stamp
9cc286
-  modprobe scsi_debug "$@" || { rm -f stamp; return 1; }
9cc286
+  modprobe scsi_debug opt_blks=64 "$@" || { rm -f stamp; return 1; }
9cc286
   scsi_debug_modprobe_succeeded_=1
9cc286
   test "$VERBOSE" = yes \
9cc286
     && warn_ $ME_ modprobe scsi_debug succeeded
9cc286
-- 
9cc286
2.7.4
9cc286